# https://taskfile.dev

version: "3"

tasks:
  default:
    cmds:
      - task: setup

  setup:
    cmds:
      - cmd: echo -e "Setting up dev environment...\n"
        silent: true
      - cmd: test -n "$DIRENV_DIR" || echo -e "Direnv not loaded! Install dependencies yourself or run 'direnv allow'.\n"
        silent: true
      - task: setup-dependencies
      - cmd: echo -e "\nYou're all set. Run 'task dev' to start dev server"
        silent: true
  setup-npm:
    cmds:
      - pnpm install
    sources:
      # - package.json
      - pnpm-lock.yaml

  dev:
    deps: [setup-npm]
    env:
      SKIP_MIN: 1
    cmds:
      # - task -t ../src/bygonz-wasm build
      # - watchexec -rc -i node_modules -w . -w ../../dist/bygonz-wasm pnpm build
      - pnpm watch
